
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #377

Crash on latest git version

December 03, 2013 21:23 - Bogdan Bezpartochnyy

Status: Closed Start date: December 03, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version:    

Affects version: 3.5   

Description

I'm experiencing random crashes of Audacious during playing network mp3 streams. This bug wasn't present in git version of Nov

16, but it appeared when I updated to latest git version yesterday.

I have attached the stacktrace I see in gdb during the crash.

OS: ArchLinux x86-64 Linux 3.12.2-1-ck

History

#1 - December 04, 2013 00:44 - John Lindgren

That isn't a stacktrace ...

#2 - December 04, 2013 00:45 - John Lindgren

See if you can isolate it to a specific commit.

#3 - December 04, 2013 23:00 - Thomas Lange

Does the latest version still crash?

Otherwise take a look at

https://wiki.archlinux.org/index.php/Debug_-_Getting_Traces

#4 - December 05, 2013 22:40 - Bogdan Bezpartochnyy

It seems to be fixed. Thank you.

#5 - December 05, 2013 22:55 - Thomas Lange

- Category set to plugins/gtkui

- Status changed from New to Closed

- Affects version 3.5 added

https://github.com/audacious-media-player/audacious-plugins/commit/c0b81f069f51a2de8ede65b43d99fc8e560a268f
